Page MenuHomePhabricator

Prepare FOSDEM talk about Wikimedia's move to Phabricator
Closed, ResolvedPublic

Description

We got accepted for a 45min session on Wikimedia's move to Phabricator at https://fosdem.org/2015/.

Rough plan for content:

  • Reuse stuff from https://blogs.gnome.org/aklapper/2014/12/17/welcome-phabricator/
  • The problem that WM had
  • Discussion, RfC/process, decision to investigate/move to Phab
  • The process
    • Upstream
      • Clear prioritization of tasks; what upstream is not interested in
      • Fast feedback to contributors on blockers or how to address an issue
    • Bugzilla and RT, the unexpected stuff
  • Achievements / what we like
    • More teams in the same place, collaboration, community vs devs, ...
  • Future plans
    • Code review etc
    • Wikimedia vs upstream: No releases; pulling upstream and need to test (CI)
  • (FOSS: What you might dislike?)
    • Relies on Flash for notifications (to be replaced by WebSocket; 6559)
    • CLA for upstream code contributions (judge yourself)
  • Enough time for Q&A

Event Timeline

Aklapper created this task.Dec 4 2014, 3:25 PM
Aklapper claimed this task.
Aklapper raised the priority of this task from to Low.
Aklapper updated the task description. (Show Details)
Aklapper added a project: ECT-January-2015.
Aklapper changed Security from none to None.
Aklapper added subscribers: Aklapper, Qgil.
chasemp added a subscriber: chasemp.Dec 4 2014, 3:27 PM

I was kicking around a similar idea but not for FOSDEM

We'll share when we have something!

Aklapper raised the priority of this task from Low to Normal.Jan 7 2015, 2:55 PM
Aklapper updated the task description. (Show Details)
MC8 updated the task description. (Show Details)Jan 8 2015, 2:15 PM
Aklapper raised the priority of this task from Normal to High.Jan 20 2015, 7:14 PM
Aklapper closed this task as Resolved.EditedFeb 2 2015, 3:57 PM

Ahem, a 2014 dated blogpost under a 2015 path? Well, what do I know